//+------------------------------------------------------------------+
//|                                             WndContainerTest.mqh |
//|                                    Copyright 2015, Daniel Cherry |
//|                                    https://www.mytradertools.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Daniel Cherry"
#property link      "https://www.mytradertools.com"
#property version   "1.00"
#property strict


#include <Controls\WndContainer.mqh>
#include <Controls\Panel.mqh>


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
class CWndContainerTest: public CWndContainer
  {
private:
   CPanel            m_panel;       // chart object

public:
                     CWndContainerTest();
                    ~CWndContainerTest();

   //--- Create
   virtual bool      Create(const long chart,const string name, const int subwin,const int x1,const int y1,const int x2,const int y2);
   
protected:

   //--- internal event handlers
   virtual bool      OnResize(void);   
   virtual bool      OnActivate(void);   
                    
  };

CWndContainerTest::CWndContainerTest()
  {
  }
CWndContainerTest::~CWndContainerTest()
  {
  }


//+------------------------------------------------------------------+
//| Create a control                                                 |
//+------------------------------------------------------------------+
bool CWndContainerTest::Create(const long chart,const string name,const int subwin,const int x1,const int y1,const int x2,const int y2)
{

//--- call method of the parent class
   if(!CWndContainer::Create(chart,name,subwin,x1,y1,x2,y2))
      return(false);

//--- create the chart object
   if(!m_panel.Create(chart,name+"panel",subwin,0,0,Width(),Height()))
      return(false);
   
   m_panel.ColorBorder(clrBlack);
   
   Add(m_panel);

   return(true);      
}

      
bool CWndContainerTest::OnResize(void)
  {
   
   Print("OnResize Working");
   
//--- call of the method of the parent class
   return(CWndContainer::OnResize());
  }      
  
bool CWndContainerTest::OnActivate(void)
  {
   
   Print("Can't get this to fire!!!!!");
   
//--- call of the method of the parent class
   return(CWndContainer::OnActivate());
  }        
  